#ifndef _ESM_SNDG_H
#define _ESM_SNDG_H

#include "record.hpp"
#include "esm_reader.hpp"
#include "esm_writer.hpp"

namespace ESM
{

/*
 * Sound generator. This describes the sounds a creature make.
 */

struct SoundGenerator : public Record
{
    enum Type
    {
        LeftFoot = 0,
        RightFoot = 1,
        SwimLeft = 2,
        SwimRight = 3,
        Moan = 4,
        Roar = 5,
        Scream = 6,
        Land = 7
    };

    // Type
    int type;

    std::string creature, sound;

    void load(ESMReader &esm);
    void save(ESMWriter &esm);

    int getName() { return REC_SNDG; }
};
}
#endif
